package types

// This is what should be submitted to the server, the username will be derived from the JWT token
type NewWeeklyReport struct {
	// The name of the project, as it appears in the database
	ProjectName string
	// The week number
	Week int
	// Total time spent on development
	DevelopmentTime int
	// Total time spent in meetings
	MeetingTime int
	// Total time spent on administrative tasks
	AdminTime int
	// Total time spent on personal projects
	OwnWorkTime int
	// Total time spent on studying
	StudyTime int
	// Total time spent on testing
	TestingTime int
}
